Bug 762981 - (GLUSTER-1249) Make mempool size associated with inodes and fd tuneable at commandline
Make mempool size associated with inodes and fd tuneable at commandline
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On: GLUSTER-329
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 05:39 EDT by shishir gowda
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2010-07-29 03:13:33 EDT
Had a chat with Avati on this feature. He says we may not need this as we are already using mem-pool and the resizing works fine, and is not so much of a costly operation as its not very frequent. 

Hence we may skip it all together.

-Amar
Comment 1 shishir gowda 2010-07-29 05:39:04 EDT
BUG 329 implements mem pools for inodes,dentry, inode context, fd, and fd context.

The pool size tunable parameters can of two categories:

inode related pool tunable parameter: inode,dentry and inode_ctx
fd related pool tunable parameter: fd and fd_ctx

Two new parameters need to be added to the cli
Comment 2 shishir gowda 2010-08-04 02:06:18 EDT
closing this bug as we resizing of mem pool works.

Note You need to log in before you can comment on or make changes to this bug.